Bug 790179 - config editor: member maps of list-o-maps will be made read-only if the member map prop def is read-only
config editor: member maps of list-o-maps will be made read-only if the membe...
Status: NEW
Product: RHQ Project
Classification: Other
Component: Core UI (Show other bugs)
4.2
Unspecified Unspecified
medium Severity high (vote)
: ---
: ---
Assigned To: RHQ Project Maintainer
Mike Foley
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-02-13 15:41 EST by Ian Springer
Modified: 2015-02-01 18:29 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Ian Springer 2012-02-13 15:41:26 EST
This is wrong, because there are a couple special cases where we allow the user to edit member props even if the corresponding member prop def is read-only, namely:

// special case 1: property has a plugin-set error message - allow user to edit it even if it's a read-only prop,
// otherwise the user will have no way to give the property a new value and thereby get things to a valid state
// special case 2: required simple prop with no value - allow user to edit it even if it's a read-only prop,
// otherwise the user will have no way to give the property a new value and thereby get things to a valid state

So to implement this correctly, we would need to check whether each member map is read-only one by one, rather than just checking if the prop def is read-only.
Comment 1 Mike Foley 2012-02-27 12:13:10 EST
triage 2/27/2012 mfoley, asantos, crouch, loleary

Note You need to log in before you can comment on or make changes to this bug.